summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO18
-rw-r--r--LICENSE7
-rw-r--r--PKGBUILD32
-rw-r--r--gcc.patch61
4 files changed, 118 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..287d36ebea1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = nfsshell
+ pkgdesc = Userland NFS command tool
+ pkgver = 19980519
+ pkgrel = 1
+ url = http://www.paramecium.org/~leendert/
+ arch = i686
+ arch = x86_64
+ license = custom
+ depends = readline
+ source = http://www.cs.vu.nl/pub/leendert/nfsshell.tar.gz
+ source = gcc.patch
+ source = LICENSE
+ md5sums = d447235518691fc3176ce89a6d836ce7
+ md5sums = 33481c081308673963d52762febe0cc2
+ md5sums = d1305abf7d53b470f136495cfc1480ae
+
+pkgname = nfsshell
+
diff --git a/LICENSE b/LICENSE
new file mode 100644
index 00000000000..c488f29ed97
--- /dev/null
+++ b/LICENSE
@@ -0,0 +1,7 @@
+Copyright (c) 1990-1998 by Leendert van Doorn <leendert@cs.vu.nl>
+All rights reserved.
+
+This material is copyrighted by Leendert van Doorn, 1990-1998. The usual
+standard disclaimer applies, especially the fact that the author nor the
+Vrije Universiteit, Amsterdam are liable for any damages caused by direct or
+indirect use of the information or functionality provided by this program.
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..52bf1e19e6f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Jonathan Liu <net147@gmail.com>
+pkgname=nfsshell
+pkgver=19980519
+pkgrel=1
+pkgdesc="Userland NFS command tool"
+arch=('i686' 'x86_64')
+url="http://www.paramecium.org/~leendert/"
+license=('custom')
+depends=('readline')
+makedepends=()
+source=("http://www.cs.vu.nl/pub/leendert/$pkgname.tar.gz"
+ "gcc.patch"
+ "LICENSE")
+md5sums=('d447235518691fc3176ce89a6d836ce7'
+ '33481c081308673963d52762febe0cc2'
+ 'd1305abf7d53b470f136495cfc1480ae')
+
+build() {
+ cd "$srcdir/nfs"
+
+ patch -Np1 -i "$srcdir/gcc.patch" || return 1
+ make
+}
+
+package() {
+ cd "$srcdir/nfs"
+
+ install -D -m755 nfs "$pkgdir/usr/bin/nfsshell"
+ install -D -m644 "$srcdir/LICENSE" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/gcc.patch b/gcc.patch
new file mode 100644
index 00000000000..a55444c566a
--- /dev/null
+++ b/gcc.patch
@@ -0,0 +1,61 @@
+diff -Nur nfs.orig/Makefile nfs/Makefile
+--- nfs.orig/Makefile 1998-05-20 06:37:23.000000000 +1000
++++ nfs/Makefile 2010-08-05 23:42:20.794623280 +1000
+@@ -22,10 +22,10 @@
+ #
+
+ # uncomment the following 4 lines for Solaris 2.x
+-CC = gcc
+-CFLAGS = -DSYSV -DREADLINE -I/usr/local/include
+-LIBS = -lsocket -L/usr/ucblib -R/usr/ucblib -lrpcsoc -lnsl \
+- -L/usr/local/lib -lreadline -lhistory -ltermlib
++#CC = gcc
++#CFLAGS = -DSYSV -DREADLINE -I/usr/local/include
++#LIBS = -lsocket -L/usr/ucblib -R/usr/ucblib -lrpcsoc -lnsl \
++# -L/usr/local/lib -lreadline -lhistory -ltermlib
+
+ # uncomment the following 3 lines for AIX
+ #CC = gcc
+@@ -33,9 +33,9 @@
+ #LIBS =
+
+ # uncomment the following 3 lines for linux (tested on 2.0.33/redhat 5)
+-#CC = gcc
+-#CFLAGS = -DREADLINE -I/usr/local/include
+-#LIBS = -L/usr/local/lib -lreadline -lhistory -lncurses
++CC = gcc
++CFLAGS = -DREADLINE
++LIBS = -lreadline -lhistory
+
+ RPCGEN = rpcgen
+ RGFLAGS = -C
+diff -Nur nfs.orig/nfs.c nfs/nfs.c
+--- nfs.orig/nfs.c 1998-05-20 06:36:10.000000000 +1000
++++ nfs/nfs.c 2010-08-05 23:42:09.724623249 +1000
+@@ -189,7 +189,7 @@
+
+ void interrupt(int);
+ int command(char *);
+-int getline(char *, int, int *, char **, int);
++int nfs_getline(char *, int, int *, char **, int);
+ void do_host(int, char **);
+ void do_setuid(int, char **);
+ void do_setgid(int, char **);
+@@ -266,7 +266,7 @@
+
+ /* interpreter's main command loop */
+ if (setjmp(intenv)) putchar('\n');
+- while (getline(buffer, BUFSIZ, &argcount, argvec, NARGVEC)) {
++ while (nfs_getline(buffer, BUFSIZ, &argcount, argvec, NARGVEC)) {
+ if (argcount == 0) continue;
+ if ((cmd = command(argvec[0])) == CMD_QUIT)
+ break;
+@@ -377,7 +377,7 @@
+ * it up into an argument vector.
+ */
+ int
+-getline(char *buf, int bufsize, int *argc, char **argv, int argvsize)
++nfs_getline(char *buf, int bufsize, int *argc, char **argv, int argvsize)
+ {
+ register char *p;
+